Index: config/autoconf.mk.in
===================================================================
RCS file: /cvsroot/mozilla/config/autoconf.mk.in,v
retrieving revision 3.296
diff -u -r3.296 autoconf.mk.in
--- config/autoconf.mk.in	16 Sep 2003 22:35:34 -0000	3.296
+++ config/autoconf.mk.in	18 Sep 2003 20:55:57 -0000
@@ -202,6 +202,7 @@
 FILTER		= @FILTER@
 BIN_FLAGS	= @BIN_FLAGS@
 MIDL		= @MIDL@
+MIDL_FLAGS	= @MIDL_FLAGS@
 
 DLL_PREFIX	= @DLL_PREFIX@
 LIB_PREFIX	= @LIB_PREFIX@
Index: directory/c-sdk/config/Makefile
===================================================================
RCS file: /cvsroot/mozilla/directory/c-sdk/config/Makefile,v
retrieving revision 5.0.2.6
diff -u -r5.0.2.6 Makefile
--- directory/c-sdk/config/Makefile	1 Feb 2003 19:41:49 -0000	5.0.2.6
+++ directory/c-sdk/config/Makefile	18 Sep 2003 20:56:06 -0000
@@ -34,8 +34,9 @@
 # 
 
 MOD_DEPTH	= ..
-topsrcdir	= ..
-srcdir		= .
+topsrcdir	= /cygdrive/c/mozbuilds/trunk-debug/mozilla/directory/c-sdk
+srcdir		= /cygdrive/c/mozbuilds/trunk-debug/mozilla/directory/c-sdk/config
+VPATH		= /cygdrive/c/mozbuilds/trunk-debug/mozilla/directory/c-sdk/config
 
 include $(MOD_DEPTH)/config/autoconf.mk
 
@@ -92,9 +93,9 @@
     XLDOPTS += $(LDFLAGS)
 endif
 
-ifdef XP_OS2_EMX
+ifeq ($(MOZ_OS2_TOOLS),EMX)
 XCFLAGS = $(OS_EXE_CFLAGS)
-XLDOPTS = -Zlinker /PM:VIO
+XLDOPTS = -Zomf -Zlinker /PM:VIO
 endif
 
 ifeq ($(MOZ_OS2_TOOLS),VACPP)
@@ -114,7 +115,9 @@
 
 OUTOPTION = -o # end of the line
 ifeq (,$(filter-out WINNT OS2,$(OS_ARCH)))
+ifndef NS_USE_GCC
 OUTOPTION = /Fe
+endif
 endif
 
 # Redefine MAKE_OBJDIR for just this directory
Index: directory/c-sdk/ldap/clients/tools/Makefile
===================================================================
RCS file: /cvsroot/mozilla/directory/c-sdk/ldap/clients/tools/Makefile,v
retrieving revision 5.0.2.5
diff -u -r5.0.2.5 Makefile
--- directory/c-sdk/ldap/clients/tools/Makefile	1 Feb 2003 19:41:47 -0000	5.0.2.5
+++ directory/c-sdk/ldap/clients/tools/Makefile	18 Sep 2003 20:56:07 -0000
@@ -22,8 +22,8 @@
 #
 
 MOD_DEPTH	= ../../..
-srcdir		= .
-topsrcdir 	= ../../..
+srcdir		= /cygdrive/c/mozbuilds/trunk-debug/mozilla/directory/c-sdk/ldap/clients/tools
+topsrcdir 	= /cygdrive/c/mozbuilds/trunk-debug/mozilla/directory/c-sdk
 
 include $(MOD_DEPTH)/config/autoconf.mk
 include $(topsrcdir)/build.mk
Index: directory/c-sdk/ldap/libraries/libiutil/Makefile
===================================================================
RCS file: /cvsroot/mozilla/directory/c-sdk/ldap/libraries/libiutil/Makefile,v
retrieving revision 5.0.2.5
diff -u -r5.0.2.5 Makefile
--- directory/c-sdk/ldap/libraries/libiutil/Makefile	1 Feb 2003 19:41:46 -0000	5.0.2.5
+++ directory/c-sdk/ldap/libraries/libiutil/Makefile	18 Sep 2003 20:56:07 -0000
@@ -23,8 +23,8 @@
 
 
 MOD_DEPTH	= ../../..
-srcdir		= .
-topsrcdir 	= ../../..
+srcdir		= /cygdrive/c/mozbuilds/trunk-debug/mozilla/directory/c-sdk/ldap/libraries/libiutil
+topsrcdir 	= /cygdrive/c/mozbuilds/trunk-debug/mozilla/directory/c-sdk
 
 include $(MOD_DEPTH)/config/autoconf.mk
 include $(topsrcdir)/build.mk
Index: directory/c-sdk/ldap/libraries/libldif/Makefile
===================================================================
RCS file: /cvsroot/mozilla/directory/c-sdk/ldap/libraries/libldif/Makefile,v
retrieving revision 5.0.2.5
diff -u -r5.0.2.5 Makefile
--- directory/c-sdk/ldap/libraries/libldif/Makefile	1 Feb 2003 19:41:44 -0000	5.0.2.5
+++ directory/c-sdk/ldap/libraries/libldif/Makefile	18 Sep 2003 20:56:08 -0000
@@ -22,8 +22,8 @@
 #
 
 MOD_DEPTH = ../../..
-srcdir = .
-topsrcdir = ../../..
+srcdir = /cygdrive/c/mozbuilds/trunk-debug/mozilla/directory/c-sdk/ldap/libraries/libldif
+topsrcdir = /cygdrive/c/mozbuilds/trunk-debug/mozilla/directory/c-sdk
 
 include $(MOD_DEPTH)/config/autoconf.mk
 include $(topsrcdir)/build.mk
Index: directory/c-sdk/ldap/libraries/libssldap/Makefile
===================================================================
RCS file: /cvsroot/mozilla/directory/c-sdk/ldap/libraries/libssldap/Makefile,v
retrieving revision 5.0.2.5
diff -u -r5.0.2.5 Makefile
--- directory/c-sdk/ldap/libraries/libssldap/Makefile	1 Feb 2003 19:41:41 -0000	5.0.2.5
+++ directory/c-sdk/ldap/libraries/libssldap/Makefile	18 Sep 2003 20:56:09 -0000
@@ -22,8 +22,8 @@
 #
 
 MOD_DEPTH	= ../../..
-srcdir		= .
-topsrcdir 	= ../../..
+srcdir		= /cygdrive/c/mozbuilds/trunk-debug/mozilla/directory/c-sdk/ldap/libraries/libssldap
+topsrcdir 	= /cygdrive/c/mozbuilds/trunk-debug/mozilla/directory/c-sdk
 
 include $(MOD_DEPTH)/config/autoconf.mk
 include $(topsrcdir)/build.mk
@@ -92,6 +92,15 @@
 endif
 
 ifeq ($(OS_ARCH), WINNT)
+ifdef NS_USE_GCC
+EXTRA_DLL_LIBS = -L$(dist_libdir) -l$(LDAP_LIBNAME) -l$(PRLDAP_LIBNAME) \
+	-l$(NSS_LIBNAME)
+ifeq ($(NSS_DYNAMIC_SOFTOKN),1)
+EXTRA_DLL_LIBS += -l$(SOFTOKN_LIBNAME)
+endif
+EXTRA_DLL_LIBS += -l$(SSL_LIBNAME) \
+	-l$(PLC_BASENAME) -l$(PLDS_BASENAME) -l$(NSPR_BASENAME)
+else
 EXTRA_LIBS =wsock32.lib kernel32.lib user32.lib gdi32.lib winspool.lib \
             comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib \
             rpcrt4.lib uuid.lib odbc32.lib odbccp32.lib winmm.lib
@@ -105,6 +114,7 @@
 EXTRA_LIBS += $(dist_libdir)/$(SOFTOKN_LIBNAME).lib
 endif
 EXTRA_LIBS += $(dist_libdir)/$(SSL_LIBNAME).lib
+endif
 endif
 
 ifeq ($(OS_ARCH),OS2)
Index: extensions/transformiix/source/base/ErrorObserver.h
===================================================================
RCS file: /cvsroot/mozilla/extensions/transformiix/source/base/ErrorObserver.h,v
retrieving revision 1.8
diff -u -r1.8 ErrorObserver.h
--- extensions/transformiix/source/base/ErrorObserver.h	17 Jan 2003 12:39:36 -0000	1.8
+++ extensions/transformiix/source/base/ErrorObserver.h	18 Sep 2003 20:56:45 -0000
@@ -28,7 +28,8 @@
 
 #include "baseutils.h"
 #include "txError.h"
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 class nsAString;
 
 /**
Index: extensions/transformiix/source/base/txURIUtils.h
===================================================================
RCS file: /cvsroot/mozilla/extensions/transformiix/source/base/txURIUtils.h,v
retrieving revision 1.7
diff -u -r1.7 txURIUtils.h
--- extensions/transformiix/source/base/txURIUtils.h	24 Jun 2003 20:41:46 -0000	1.7
+++ extensions/transformiix/source/base/txURIUtils.h	18 Sep 2003 20:56:46 -0000
@@ -39,7 +39,8 @@
 #include "baseutils.h"
 #ifdef TX_EXE
 #include <fstream.h>
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include "nsString.h"
 #else
 #include "nsIDOMNode.h"
Index: extensions/transformiix/source/xml/parser/txXMLParser.h
===================================================================
RCS file: /cvsroot/mozilla/extensions/transformiix/source/xml/parser/txXMLParser.h,v
retrieving revision 1.1
diff -u -r1.1 txXMLParser.h
--- extensions/transformiix/source/xml/parser/txXMLParser.h	5 Mar 2003 13:48:51 -0000	1.1
+++ extensions/transformiix/source/xml/parser/txXMLParser.h	18 Sep 2003 20:56:46 -0000
@@ -28,7 +28,8 @@
 #include "dom.h"
 
 #ifdef TX_EXE
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #endif
 
 /**
Index: extensions/transformiix/source/xslt/txStandaloneXSLTProcessor.h
===================================================================
RCS file: /cvsroot/mozilla/extensions/transformiix/source/xslt/txStandaloneXSLTProcessor.h,v
retrieving revision 1.4
diff -u -r1.4 txStandaloneXSLTProcessor.h
--- extensions/transformiix/source/xslt/txStandaloneXSLTProcessor.h	26 Mar 2003 01:09:59 -0000	1.4
+++ extensions/transformiix/source/xslt/txStandaloneXSLTProcessor.h	18 Sep 2003 20:56:46 -0000
@@ -46,7 +46,8 @@
 #include "ErrorObserver.h"
 
 #ifndef __BORLANDC__
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include <fstream.h>
 #endif
 
Index: extensions/transformiix/source/xslt/txXMLEventHandler.h
===================================================================
RCS file: /cvsroot/mozilla/extensions/transformiix/source/xslt/txXMLEventHandler.h,v
retrieving revision 1.8
diff -u -r1.8 txXMLEventHandler.h
--- extensions/transformiix/source/xslt/txXMLEventHandler.h	12 Mar 2003 14:03:39 -0000	1.8
+++ extensions/transformiix/source/xslt/txXMLEventHandler.h	18 Sep 2003 20:56:46 -0000
@@ -31,7 +31,8 @@
 class txOutputFormat;
 
 #ifdef TX_EXE
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #else
 #define kTXNameSpaceURI "http://www.mozilla.org/TransforMiix"
 #define kTXWrapper "transformiix:result"
Index: extensions/universalchardet/tests/UniversalChardetTest.cpp
===================================================================
RCS file: /cvsroot/mozilla/extensions/universalchardet/tests/UniversalChardetTest.cpp,v
retrieving revision 1.10
diff -u -r1.10 UniversalChardetTest.cpp
--- extensions/universalchardet/tests/UniversalChardetTest.cpp	2 Apr 2003 22:44:08 -0000	1.10
+++ extensions/universalchardet/tests/UniversalChardetTest.cpp	18 Sep 2003 20:56:48 -0000
@@ -36,7 +36,8 @@
  * the terms of any one of the NPL, the GPL or the LGPL.
  *
  * ***** END LICENSE BLOCK ***** */
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include "nsISupports.h"
 #include "nsIComponentManager.h"
 #include "nsICharsetDetector.h"
Index: htmlparser/tests/htmlgen/htmlgen.cpp
===================================================================
RCS file: /cvsroot/mozilla/htmlparser/tests/htmlgen/htmlgen.cpp,v
retrieving revision 1.4
diff -u -r1.4 htmlgen.cpp
--- htmlparser/tests/htmlgen/htmlgen.cpp	3 Sep 2002 22:23:22 -0000	1.4
+++ htmlparser/tests/htmlgen/htmlgen.cpp	18 Sep 2003 20:57:04 -0000
@@ -14,7 +14,8 @@
  *========================================================*/
 
 
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include <fstream.h>
 #include <strstrea.h>
 #include <string>
Index: intl/chardet/tests/DetectCharset.cpp
===================================================================
RCS file: /cvsroot/mozilla/intl/chardet/tests/DetectCharset.cpp,v
retrieving revision 1.17
diff -u -r1.17 DetectCharset.cpp
--- intl/chardet/tests/DetectCharset.cpp	2 Apr 2003 22:44:17 -0000	1.17
+++ intl/chardet/tests/DetectCharset.cpp	18 Sep 2003 20:57:04 -0000
@@ -36,7 +36,8 @@
  * the terms of any one of the NPL, the GPL or the LGPL.
  *
  * ***** END LICENSE BLOCK ***** */
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include "nsISupports.h"
 #include "nsIComponentManager.h"
 #include "nsICharsetDetector.h"
Index: intl/chardet/tools/GenCyrillicClass.cpp
===================================================================
RCS file: /cvsroot/mozilla/intl/chardet/tools/GenCyrillicClass.cpp,v
retrieving revision 1.11
diff -u -r1.11 GenCyrillicClass.cpp
--- intl/chardet/tools/GenCyrillicClass.cpp	2 Apr 2003 22:44:18 -0000	1.11
+++ intl/chardet/tools/GenCyrillicClass.cpp	18 Sep 2003 20:57:04 -0000
@@ -37,7 +37,8 @@
  *
  * ***** END LICENSE BLOCK ***** */
 #include "nsICharsetConverterManager.h"
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include "nsISupports.h"
 #include "nsIComponentManager.h"
 #include "nsIServiceManager.h"
Index: intl/compatibility/tests/TestI18nCompatibility.cpp
===================================================================
RCS file: /cvsroot/mozilla/intl/compatibility/tests/TestI18nCompatibility.cpp,v
retrieving revision 1.9
diff -u -r1.9 TestI18nCompatibility.cpp
--- intl/compatibility/tests/TestI18nCompatibility.cpp	20 Dec 2001 02:09:17 -0000	1.9
+++ intl/compatibility/tests/TestI18nCompatibility.cpp	18 Sep 2003 20:57:10 -0000
@@ -36,7 +36,8 @@
  * the terms of any one of the NPL, the GPL or the LGPL.
  *
  * ***** END LICENSE BLOCK ***** */
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include "nsXPCOM.h"
 #include "nsIComponentManager.h"
 #include "nsISupports.h"
Index: intl/locale/tests/LocaleSelfTest.cpp
===================================================================
RCS file: /cvsroot/mozilla/intl/locale/tests/LocaleSelfTest.cpp,v
retrieving revision 1.40
diff -u -r1.40 LocaleSelfTest.cpp
--- intl/locale/tests/LocaleSelfTest.cpp	20 Jul 2003 07:46:30 -0000	1.40
+++ intl/locale/tests/LocaleSelfTest.cpp	18 Sep 2003 20:57:11 -0000
@@ -37,7 +37,8 @@
  *
  * ***** END LICENSE BLOCK ***** */
  
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include <stdlib.h>
 #include "nsISupports.h"
 #include "nsIComponentManager.h"
Index: intl/lwbrk/tests/TestLineBreak.cpp
===================================================================
RCS file: /cvsroot/mozilla/intl/lwbrk/tests/TestLineBreak.cpp,v
retrieving revision 1.23
diff -u -r1.23 TestLineBreak.cpp
--- intl/lwbrk/tests/TestLineBreak.cpp	23 May 2003 22:06:40 -0000	1.23
+++ intl/lwbrk/tests/TestLineBreak.cpp	18 Sep 2003 20:57:12 -0000
@@ -35,7 +35,8 @@
  * the terms of any one of the NPL, the GPL or the LGPL.
  *
  * ***** END LICENSE BLOCK ***** */
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include "nsXPCOM.h"
 #include "nsIComponentManager.h"
 #include "nsISupports.h"
Index: intl/strres/tests/StringBundleTest.cpp
===================================================================
RCS file: /cvsroot/mozilla/intl/strres/tests/StringBundleTest.cpp,v
retrieving revision 1.58
diff -u -r1.58 StringBundleTest.cpp
--- intl/strres/tests/StringBundleTest.cpp	13 Sep 2003 17:55:22 -0000	1.58
+++ intl/strres/tests/StringBundleTest.cpp	18 Sep 2003 20:57:12 -0000
@@ -40,7 +40,8 @@
 #include "nsReadableUtils.h"
 #include "nsIStringBundle.h"
 #include "nsIEventQueueService.h"
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 
 #include "nsIURL.h"
 #include "nsIServiceManager.h"
Index: intl/unicharutil/tests/UnicharSelfTest.cpp
===================================================================
RCS file: /cvsroot/mozilla/intl/unicharutil/tests/UnicharSelfTest.cpp,v
retrieving revision 1.29
diff -u -r1.29 UnicharSelfTest.cpp
--- intl/unicharutil/tests/UnicharSelfTest.cpp	20 Jul 2003 07:46:39 -0000	1.29
+++ intl/unicharutil/tests/UnicharSelfTest.cpp	18 Sep 2003 20:57:17 -0000
@@ -36,7 +36,8 @@
  * the terms of any one of the NPL, the GPL or the LGPL.
  *
  * ***** END LICENSE BLOCK ***** */
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include "nsISupports.h"
 #include "nsXPCOM.h"
 #include "nsIServiceManager.h"
Index: netwerk/test/PropertiesTest.cpp
===================================================================
RCS file: /cvsroot/mozilla/netwerk/test/PropertiesTest.cpp,v
retrieving revision 1.5
diff -u -r1.5 PropertiesTest.cpp
--- netwerk/test/PropertiesTest.cpp	20 Jul 2003 07:47:25 -0000	1.5
+++ netwerk/test/PropertiesTest.cpp	18 Sep 2003 20:58:19 -0000
@@ -48,7 +48,7 @@
 #include "nsIChannel.h"
 #include "nsIComponentManager.h"
 #include "nsIEnumerator.h"
-#include <iostream.h>  //BAD DOG -- no biscuit!
+#include <iostream>  //BAD DOG -- no biscuit!
 #include "nsReadableUtils.h"
 
 
Index: netwerk/test/urltest.cpp
===================================================================
RCS file: /cvsroot/mozilla/netwerk/test/urltest.cpp,v
retrieving revision 1.30
diff -u -r1.30 urltest.cpp
--- netwerk/test/urltest.cpp	17 Nov 2002 05:16:41 -0000	1.30
+++ netwerk/test/urltest.cpp	18 Sep 2003 20:58:19 -0000
@@ -45,12 +45,13 @@
 #include <fstream.h>
 //using namespace std;
 
+
 #include "plstr.h"
 #include "nsIServiceManager.h"
 #include "nsIIOService.h"
 #include "nsIURL.h"
 #include "nsCOMPtr.h"
-#include "iostream.h"
+#include "iostream"
 #include "nsXPIDLString.h"
 #include "nsString.h"
 #include "nsReadableUtils.h"
Index: nsprpub/lib/prstreams/prstrms.h
===================================================================
RCS file: /cvsroot/mozilla/nsprpub/lib/prstreams/prstrms.h,v
retrieving revision 3.5
diff -u -r3.5 prstrms.h
--- nsprpub/lib/prstreams/prstrms.h	20 Jun 2000 21:19:07 -0000	3.5
+++ nsprpub/lib/prstreams/prstrms.h	18 Sep 2003 20:58:23 -0000
@@ -45,7 +45,8 @@
 #ifdef _MSC_VER
 #pragma warning( disable : 4275)
 #endif
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 
 #if defined(AIX) && defined(__64BIT__)
 typedef long PRstreambuflen;
Index: xpcom/ds/nsProperties.cpp
===================================================================
RCS file: /cvsroot/mozilla/xpcom/ds/nsProperties.cpp,v
retrieving revision 1.48
diff -u -r1.48 nsProperties.cpp
--- xpcom/ds/nsProperties.cpp	8 Sep 2003 00:31:19 -0000	1.48
+++ xpcom/ds/nsProperties.cpp	18 Sep 2003 20:59:11 -0000
@@ -37,7 +37,8 @@
 
 #include "nsProperties.h"
 
-//#include <iostream.h>
+//#include <iostream>
+using namespace std;
 
 ////////////////////////////////////////////////////////////////////////////////
 
Index: xpcom/reflect/xptcall/src/md/unix/xptcinvoke_ipf32.cpp
===================================================================
RCS file: /cvsroot/mozilla/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_ipf32.cpp,v
retrieving revision 1.1
diff -u -r1.1 xptcinvoke_ipf32.cpp
--- xpcom/reflect/xptcall/src/md/unix/xptcinvoke_ipf32.cpp	19 Feb 2002 12:28:21 -0000	1.1
+++ xpcom/reflect/xptcall/src/md/unix/xptcinvoke_ipf32.cpp	18 Sep 2003 20:59:14 -0000
@@ -23,7 +23,8 @@
 
 #include "xptcprivate.h"
 
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 
 // "This code is for IA64 only"
 
Index: xpcom/tests/RegFactory.cpp
===================================================================
RCS file: /cvsroot/mozilla/xpcom/tests/RegFactory.cpp,v
retrieving revision 3.13
diff -u -r3.13 RegFactory.cpp
--- xpcom/tests/RegFactory.cpp	22 Jan 2003 06:18:06 -0000	3.13
+++ xpcom/tests/RegFactory.cpp	18 Sep 2003 20:59:16 -0000
@@ -35,7 +35,8 @@
  *
  * ***** END LICENSE BLOCK ***** */
 
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include "plstr.h"
 #include "prlink.h"
 #include "nsIComponentRegistrar.h"
Index: xpcom/tests/TestCOMPtr.cpp
===================================================================
RCS file: /cvsroot/mozilla/xpcom/tests/TestCOMPtr.cpp,v
retrieving revision 1.22
diff -u -r1.22 TestCOMPtr.cpp
--- xpcom/tests/TestCOMPtr.cpp	21 Jun 2003 00:15:01 -0000	1.22
+++ xpcom/tests/TestCOMPtr.cpp	18 Sep 2003 20:59:16 -0000
@@ -36,7 +36,8 @@
  *
  * ***** END LICENSE BLOCK ***** */
 
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include <assert.h>
 #include "nsCOMPtr.h"
 #include "nsISupports.h"
Index: xpcom/tests/TestFactory.cpp
===================================================================
RCS file: /cvsroot/mozilla/xpcom/tests/TestFactory.cpp,v
retrieving revision 3.23
diff -u -r3.23 TestFactory.cpp
--- xpcom/tests/TestFactory.cpp	8 Jan 2003 23:14:49 -0000	3.23
+++ xpcom/tests/TestFactory.cpp	18 Sep 2003 20:59:16 -0000
@@ -36,7 +36,8 @@
  *
  * ***** END LICENSE BLOCK ***** */
 
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include "TestFactory.h"
 #include "nsISupports.h"
 #include "nsIComponentManager.h"
Index: xpcom/tests/TestHashtables.cpp
===================================================================
RCS file: /cvsroot/mozilla/xpcom/tests/TestHashtables.cpp,v
retrieving revision 1.2
diff -u -r1.2 TestHashtables.cpp
--- xpcom/tests/TestHashtables.cpp	18 Jun 2003 11:26:27 -0000	1.2
+++ xpcom/tests/TestHashtables.cpp	18 Sep 2003 20:59:17 -0000
@@ -35,7 +35,8 @@
  *
  * ***** END LICENSE BLOCK ***** */
 
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include "nsTHashtable.h"
 #include "nsBaseHashtable.h"
 #include "nsDataHashtable.h"
Index: xpcom/tests/TestObserverService.cpp
===================================================================
RCS file: /cvsroot/mozilla/xpcom/tests/TestObserverService.cpp,v
retrieving revision 1.31
diff -u -r1.31 TestObserverService.cpp
--- xpcom/tests/TestObserverService.cpp	8 Sep 2003 00:31:26 -0000	1.31
+++ xpcom/tests/TestObserverService.cpp	18 Sep 2003 20:59:17 -0000
@@ -44,7 +44,8 @@
 #include "nsString.h"
 #include "nsReadableUtils.h"
 #include "prprf.h"
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include <iomanip.h>   // needed for libstdc++-v3
 #include "nsWeakReference.h"
 
Index: xpcom/tests/StringFactoringTests/profile_main.cpp
===================================================================
RCS file: /cvsroot/mozilla/xpcom/tests/StringFactoringTests/profile_main.cpp,v
retrieving revision 1.10
diff -u -r1.10 profile_main.cpp
--- xpcom/tests/StringFactoringTests/profile_main.cpp	3 Sep 2000 07:09:56 -0000	1.10
+++ xpcom/tests/StringFactoringTests/profile_main.cpp	18 Sep 2003 20:59:17 -0000
@@ -1,7 +1,8 @@
 // profile_main.cpp
 
 #include "nscore.h"
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include <string>
 #include <iomanip>
 
Index: xpcom/tests/StringFactoringTests/test_main.cpp
===================================================================
RCS file: /cvsroot/mozilla/xpcom/tests/StringFactoringTests/test_main.cpp,v
retrieving revision 1.17
diff -u -r1.17 test_main.cpp
--- xpcom/tests/StringFactoringTests/test_main.cpp	24 Mar 2002 00:10:01 -0000	1.17
+++ xpcom/tests/StringFactoringTests/test_main.cpp	18 Sep 2003 20:59:17 -0000
@@ -1,4 +1,5 @@
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include "nsStringIO.h"
 
 //#define TEST_STD_STRING
Index: xpcom/tests/windows/TestCOM.cpp
===================================================================
RCS file: /cvsroot/mozilla/xpcom/tests/windows/TestCOM.cpp,v
retrieving revision 3.13
diff -u -r3.13 TestCOM.cpp
--- xpcom/tests/windows/TestCOM.cpp	7 Mar 2003 06:07:50 -0000	3.13
+++ xpcom/tests/windows/TestCOM.cpp	18 Sep 2003 20:59:17 -0000
@@ -38,7 +38,8 @@
 
 #include <windows.h>
 #include <unknwn.h>
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include "nsISupports.h"
 #include "nsIFactory.h"
 
Index: xpcom/tests/windows/nsStringTest.cpp
===================================================================
RCS file: /cvsroot/mozilla/xpcom/tests/windows/nsStringTest.cpp,v
retrieving revision 3.2
diff -u -r3.2 nsStringTest.cpp
--- xpcom/tests/windows/nsStringTest.cpp	29 Sep 2001 08:28:27 -0000	3.2
+++ xpcom/tests/windows/nsStringTest.cpp	18 Sep 2003 20:59:17 -0000
@@ -1,5 +1,6 @@
 
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include "nsStr.h"
 #include "nsStringTest2.h"
 #include "nsString.h"
